## net.sourceforge.pmd.dfa
Interface IDataFlowNode

All Known Implementing Classes:
  DataFlowNode

public interface IDataFlowNode

Method Summary
`void` `addPathToChild(IDataFlowNode child)`
`java.util.List` `getChildren()`
`java.util.List` `getFlow()`
`int` `getIndex()`
`int` `getLine()`
`java.util.List` `getParents()`
`SimpleNode` `getSimpleNode()`
`java.util.List` `getVariableAccess()`
`boolean` `isType(int type)`
`boolean` `removePathToChild(IDataFlowNode child)`
`void` `reverseParentPathsTo(IDataFlowNode destination)`
`void` `setVariableAccess(java.util.List variableAccess)`

Method Detail

### getVariableAccess

    public java.util.List getVariableAccess()

### getLine

    public int getLine()

### getIndex

    public int getIndex()

### isType

    public boolean isType(int type)

### getChildren

    public java.util.List getChildren()

### getParents

    public java.util.List getParents()

### getFlow

    public java.util.List getFlow()

### getSimpleNode

    public SimpleNode getSimpleNode()

### setVariableAccess

    public void setVariableAccess(java.util.List variableAccess)

### addPathToChild

    public void addPathToChild(IDataFlowNode child)

### removePathToChild

    public boolean removePathToChild(IDataFlowNode child)

### reverseParentPathsTo

    public void reverseParentPathsTo(IDataFlowNode destination)

Copyright © 2002-2006 InfoEther. All Rights Reserved.